import java.rmi.*; 
import java.rmi.server.*; 

// Implementation of Remote Class

public class HelloImpl extends UnicastRemoteObject implements HelloInterface { 

   private myMessage message; 

   public HelloImpl(String f, String t, String b) throws RemoteException { 
	message = new myMessage(f, t, b); 
   } 

   public myMessage say() throws RemoteException { 
	return message; 
   } 


   public static void main (String[] argv) { 

      try { 

	Naming.rebind ("//localhost/Hello", 
		new HelloImpl("me", "you", "Hello, world!")); 
	System.out.println ("Server is up and running"); 
      } 
      catch (Exception e) { 
	System.out.println(e); 
      } 
   } 

} 
