import java.net.InetAddress;
import java.rmi.Naming;
import java.rmi.RemoteException;

public class HelloClient {

    public static void main(String args[]) {
	try {
	    // "obj" is the identifier that we'll use to refer
	    // to the remote object that implements the "Hello"
	    // interface
	    Hello obj = null;
	    obj = (Hello)Naming.lookup("//" +
		InetAddress.getLocalHost().getHostName() + "/HelloServer");

	    String message = "blank";
	    message = obj.sayHello();
	    System.out.println(message+"\n");
	} catch (Exception e) {
	    System.out.println("HelloClient exception: " + e.getMessage());
	    e.printStackTrace();
	}
    }
}
