import java.rmi.*;
import java.rmi.server.*;
import java.util.*;

public class HelloClient extends UnicastRemoteObject implements HelloClientInterface {

   HelloInterface h;

   public HelloClient() throws RemoteException {

     try { 
       h =(HelloInterface) Naming.lookup("//localhost/Hello"); 
       h.Register(this);
       System.out.println (h.say()); 
     } 
     catch (Exception e) { 
	System.out.println(e); 
     } 

   }

   public static void main (String[] argv) 
   { 
	
     try { 
       new HelloClient();
     }
     catch (Exception e) { 
	System.out.println(e); 
     } 
   }

   public String answer() {
	return "Hello, there";
   }

} 
